/*
	Napisite funkciju
		
			void sort(char* niz, int duljina);
			
	koja sortira niz znakova na sljedeci nacin. Na pocetak niza dolaze mala slova, nakon njih idu znamenke, a potom velika slova.
	Znakove unutar svake grupe (znamenke, velika slova, mala slova) sortirajte pomocu standardnog uredjaja.
	
	Mozete pretpostaviti da unutar niza koji ce biti predan funkciji nece biti nikakvih znakova osim znamenki i slova.
*/


/* pomocna funkcija koja ce sluziti za usporedjivanje grupa znakova */
int valuate(char znak){
	if( 'a' <= znak && znak <= 'z' ) return 0;
	if( 'A' <= znak && znak <= 'Z' ) return 1;
	if( '0' <= znak && znak <= '9' ) return 2;
}

/* funkcija koja govori treba li zamijeniti dva znaka */
int treba_zamijeniti(char a, char b){
	if(valuate(a) > valuate(b)) return 1;
	if(valuate(a) == valuate(b) && a > b ) return 1;
	return 0;
}

/* funkcija za sortiranje */
void sort(char* niz, int duljina){
	int i,j;
	for(i = 0; i < duljina; ++i){
		for(j = i+1; j < duljina; ++j){
			if( treba_zamijeniti(niz[i],niz[j]) ){
				char tmp = niz[i];
				niz[i] = niz[j];
				niz[j] = tmp;
			}
		}
	}
}


/* testni program - nije bilo potrebno za rjesenje zadatka */
#include <stdio.h>
int main(){
	char a[6] = {'A','a','B','3','b','1'};
	int i;
	printf("Prije sortiranja: ");
	for(i = 0; i < 6; printf("%c ", a[i++]));
	sort(a,6);
	printf("\nPoslije sortiranja: ");
	for(i = 0; i < 6; printf("%c ", a[i++]));
	return 0;
}




